version: '2'
services:
    turtlemintapplication-mongodb:
        image: mongo:4.0.2
        ports:
            - "27017:27017"
        command: mongos --configdb turtlemintapplication-mongodb-config
    turtlemintapplication-mongodb-node:
        build:
            context: .
            dockerfile: mongodb/MongoDB.Dockerfile
        command: mongod --replSet rs1 --noprealloc --smallfiles
    turtlemintapplication-mongodb-config:
        image: mongo:4.0.2
        container_name: turtlemintapplication-mongodb-config
        command: mongod --noprealloc --smallfiles --configsvr --dbpath /data/db
